#include <sys/time.h>
#include <sys/resource.h>

#include <epplet.h>

#define SHOW_BUTTONS "1"

#define PAGE_1 "E-Launch"
#define PAGE_2 "E-Launch2"
#define PAGE_3 "E-Launch3"

#define ICON_1 "none"
#define PROG_1 "none"
#define ICON_2 "none"
#define PROG_2 "none"
#define ICON_3 "none"
#define PROG_3 "none"
#define ICON_4 EROOT "/epplet_data/E-Launch/gnome-folder.png"
#define PROG_4 "gmc"
#define ICON_5 EROOT "/epplet_data/E-Launch/gnome-eterm.png"
#define PROG_5 "Eterm -t Etran -g 75x33"
#define ICON_6 EROOT "/epplet_data/E-Launch/xchat.png"
#define PROG_6 "xchat"
#define ICON_7 EROOT "/epplet_data/E-Launch/GnomeVillage.xpm"
#define PROG_7 "GnomeVillage"
#define ICON_8 EROOT "/epplet_data/E-Launch/gnome-terminal.png"
#define PROG_8 "gnome-terminal"
#define ICON_9 EROOT "/epplet_data/E-Launch/netscape.png"
#define PROG_9 "netscape"
#define ICON_10 "none"
#define PROG_10 "none"
#define ICON_11 "none"
#define PROG_11 "none"
#define ICON_12 "none"
#define PROG_12 "none"
#define ICON_13 "sample"
#define PROG_13 "none"
#define ICON_14 "sample"
#define PROG_14 "none"
#define ICON_15 "sample"
#define PROG_15 "none"
#define ICON_16 "sample"
#define PROG_16 "none"
#define ICON_17 "sample"
#define PROG_17 "none"
#define ICON_18 "sample"
#define PROG_18 "none"
#define ICON_19 "none"
#define PROG_19 "none"
#define ICON_20 "none"
#define PROG_20 "none"
#define ICON_21 "none"
#define PROG_21 "none"
#define ICON_22 "sample"
#define PROG_22 "none"
#define ICON_23 "sample"
#define PROG_23 "none"
#define ICON_24 "sample"
#define PROG_24 "none"
#define ICON_25 "sample"
#define PROG_25 "none"
#define ICON_26 "sample"
#define PROG_26 "none"
#define ICON_27 "sample"
#define PROG_27 "none"

#define PIC EROOT "/epplet_data/E-Launch/E-Launch.png"

char *icon_def[27] = {ICON_1,  ICON_2,  ICON_3,  ICON_4,  ICON_5,  ICON_6,  ICON_7,  ICON_8,  ICON_9,
		              ICON_10, ICON_11, ICON_12, ICON_13, ICON_14, ICON_15, ICON_16, ICON_17, ICON_18,
					  ICON_19, ICON_20, ICON_21, ICON_22, ICON_23, ICON_24, ICON_25, ICON_26, ICON_27};
char *prog_def[27] = {PROG_1,  PROG_2,  PROG_3,  PROG_4,  PROG_5,  PROG_6,  PROG_7,  PROG_8,  PROG_9,
 	                  PROG_10, PROG_11, PROG_12, PROG_13, PROG_14, PROG_15, PROG_16, PROG_17, PROG_18,
 		              PROG_19, PROG_20, PROG_21, PROG_22, PROG_23, PROG_24, PROG_25, PROG_26, PROG_27};

char *icon[27] = {ICON_1,  ICON_2,  ICON_3,  ICON_4,  ICON_5,  ICON_6,  ICON_7,  ICON_8,  ICON_9,
                  ICON_10, ICON_11, ICON_12, ICON_13, ICON_14, ICON_15, ICON_16, ICON_17, ICON_18,
                  ICON_19, ICON_20, ICON_21, ICON_22, ICON_23, ICON_24, ICON_25, ICON_26, ICON_27};
char *prog[27] = {PROG_1,  PROG_2,  PROG_3,  PROG_4,  PROG_5,  PROG_6,  PROG_7,  PROG_8,  PROG_9,
                  PROG_10, PROG_11, PROG_12, PROG_13, PROG_14, PROG_15, PROG_16, PROG_17, PROG_18,
  	              PROG_19, PROG_20, PROG_21, PROG_22, PROG_23, PROG_24, PROG_25, PROG_26, PROG_27};
							  		  
char *label[3] = {PAGE_1, PAGE_2, PAGE_3};

int cfg_show_buttons = 1;

int page=1;
int b_cnt=0;
int c_cnt=0;

int button_posX[] ={ 02, 17, 33 };

int button_posY[] ={ 02, 17, 33 };

Epplet_gadget b_close, b_config, b_label[3], b_icons[27];

static void mouse_cb(void *data, Window w, int x, int y, int b);
static void key_cb(void *data, Window w, char *key);
static void close_cb(void *data);
static void in_cb(void *data, Window w);
static void out_cb(void *data, Window w);
static void execute_cb(void *data);
static void load_icons(void);
static void page_epplet(void);
static void hide_icons(void);
static void display_icons(void);
static void recreate_icons(void);
static void hide_label(void);
static void display_label(void);
static void recreate_icons(void);
static void process_config(void);



Window config_win, config_page_win;

int config_page;

char *pic = PIC;

Epplet_gadget Page_1_Label, Page_2_Label, Page_3_Label, Page_Icon_Text[27], Page_Prog_Text[27];

static void ok_cb(void *data);
static void apply_cb(void *data);
static void cancel_cb(void *data);
static void config_cb(void *data);
static void ok_page_cb(void *data);
static void cancel_page_cb(void *data);
static void config_page_cb(void *data);
static void apply_config(void);
static void apply_page_config(void);

